/*
 * Simulare is the legal property of USINA (http://usina.tigris.org),
 * and all those who contributed to the development of this tool. Please
 * refer to the COPYRIGHT file distributed with this source distribution
 * for a list of contributors.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or(at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
package org.simulare.gui;

import java.awt.event.*;
import java.util.*;

import javax.swing.tree.*;

/**
 * The event launched when single, double, or popupClick occurs.
 */
public class JTreeSmartEvent extends EventObject {

    public MouseEvent event;
    public int row;
    public TreePath path;

    public JTreeSmartEvent(MouseEvent event, int row, TreePath path) {
        super("");
        this.event = event;
        this.row = row;
        this.path = path;
    }
}
