package cin.aquario;

import org.simulare.*;

public class AddItem extends AbstractTask {

    private CompositeItem parent;

    public AddItem() {
        this(null);
    }

    public AddItem(CompositeItem parent) {
        super("add");
        setParent(parent);
    }

    public CompositeItem getParent() {
        return parent;
    }

    public void setParent(org.simulare.CompositeItem parent) {
        this.parent = parent;
    }

    public void execute(Item item) {
        if( parent != null ) {
            parent.addItem(item);
        }
    }

}